# Firefox Setup

## Extensions / Scripts

- [uBlock Origin](https://addons.mozilla.org/firefox/addon/ublock-origin/)
	- <https://www.i-dont-care-about-cookies.eu/abp/>
	- <https://raw.githubusercontent.com/DandelionSprout/adfilt/master/LegitimateURLShortener.txt>
- [Multi-Account Containers](https://addons.mozilla.org/firefox/addon/multi-account-containers/)
- [Skip Redirect](https://addons.mozilla.org/firefox/addon/skip-redirect/)
- [Hover Zoom+](https://addons.mozilla.org/firefox/addon/hover-zoom-plus/)
- [Vimium C](https://addons.mozilla.org/firefox/addon/vimium-c/)
- [RES]
- [Sponsorblock]
- [DeArrow]
- [KeePassXC-Browser](https://addons.mozilla.org/firefox/addon/keepassxc-browser/)
- [Torrent Control](https://addons.mozilla.org/en-CA/firefox/addon/torrent-control/)

- Temporary Containers
- multifoxContainer
- Link Status Redux
- Redirector
- Open in Unloaded Tab
- Auto Plain Text Links
- BackTrack Tab History
- PrivateTab
- Dorando keyconfig (disable/change shortcuts; may be other options)
- Enter Selects (improved URL autocomplete; may be other options)
- StyloaiX (replace with userContent.css)

## Profiles / Containers

- Personal
	- Default
	- Finance
	- Social
	- Work
- Work
	- Default
	- Personal

## Reference

- <https://github.com/arkenfox/user.js>
- <https://github.com/yokoffing/Betterfox>
- <https://github.com/xiaoxiaoflood/firefox-scripts>
- <https://github.com/MrOtherGuy/fx-autoconfig>
- <http://kb.mozillazine.org/Profile_folder_-_Firefox>
- <https://www.userchrome.org/what-is-userchrome-js.html>
